
Application: gvSIG desktop - gvSIG bugs #4571
Error en capa SpatiaLite al cambiar su simbología
07/26/2017 01:17 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Database
Target version: 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2829 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Exporto un shp de líneas a SpatiaLite y la añado a la Vista (la exporta sin problemas, sin detectar ninguna geometría errónea)
Abro la ventana de propiedades de la capa exportada
Intento cambiar el color del símbolo.
Salta error y ya no se puede trabajar con la capa de SpatiaLite

Adjunto log

Associated revisions
Revision 43407 - 08/06/2017 01:53 PM - Joaquín  del Cerro Murciano

refs #4571, atrapados los errores cuando se intenta optimizar el pintado de una geometria que solo se ve como un pixel.

History
#1 - 08/06/2017 01:55 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2830 (rev. org.gvsig.desktop-2.0.196)
- Status changed from New to Fixed
- File lineas.LaRioja.zip added

No he podido reproducirlo.
Los pasos que he realizado son:
    -  Cargo el shape "lineas.LaRioja" 
    -  Lo exporto a SpatiaLite. Lo exporta y le digo que cargue la capa en la vista.
    -  La carga correctamente.
    -  Pido propiedades de la capa.
    -  Selecciono la pestaña de simbologia.
    -  esta seleccionada leyenda de simbolo unico.
    -  Pulso en el boton de seleccionar simbolo y cambio el color.
    -  Le doy aceptar a las propiedades, se cierra la ventana y la capa a cambiado el color. En el log no muestra ningun error, y se puede seguir
trabajando con gvSIG.

A pesar de que no lo he reproducido, viendo lo que aparece en el log, esta dando un error intentando optimizar el pintado de una linea.
He atrapado los errores en el proceso de optimizacion y si se producen, continua con el proceso normal de pintado sin optimizar.
#2 - 08/08/2017 10:31 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 404 KB 07/26/2017 Álvaro Anguix
lineas.LaRioja.zip 429 KB 08/06/2017 Joaquín  del Cerro Murciano
